# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname mongrel

Name: ruby-%pkgname
Version: 1.1.5
Release: alt2

Summary: Simple Fast Mostly Ruby Web Server
Group: Development/Ruby
License: MIT
Url: http://rubyforge.org/projects/mongrel/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Wed Aug 27 2008 (-bi)
BuildRequires: /proc libruby-devel ruby-daemons ruby-gem_plugin ruby-test-unit ruby-tool-setup

%description
Mongrel is a small library that provides a very fast HTTP 1.1
server for Ruby web applications.  It is not particular to any
framework, and is intended to be just enough to get a web
application running behind a more complete and robust web
server.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -q -n %pkgname-%version
%patch -p1
%update_setup_rb

%build
%ruby_config
## 58 tests, 435 assertions, 3 failures, 2 errors, 0 skips
#pushd ext/http11
#ragel -G2 -o http11_parser.c http11_parser.rl
#popd
%ruby_build
%ruby_test_unit -Ilib:ext/http11 test

%install
%ruby_install
%rdoc lib/

%files
%doc CHANGELOG README TODO
%_bindir/*
%ruby_sitelibdir/*
%ruby_sitearchdir/*

%files doc
%doc examples
%ruby_ri_sitedir/Mongrel*

%changelog
* Fri May 15 2009 Alexey I. Froloff <raorn@altlinux.org> 1.1.5-alt2
- Rebuilt with Ruby 1.9

* Wed Aug 27 2008 Sir Raorn <raorn@altlinux.ru> 1.1.5-alt1
- Built for Sisyphus

